package com.xxfc.platform.summit.biz;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.github.wxiaoqi.security.common.biz.BaseBiz;
import com.xxfc.platform.summit.entity.ImsMeepoXianchangRid;
import com.xxfc.platform.summit.mapper.ImsMeepoXianchangRidMapper;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;

import java.util.List;

@Service
public class ImsMeepoXianchangRidBiz extends BaseBiz<ImsMeepoXianchangRidMapper, ImsMeepoXianchangRid> {

    public List<ImsMeepoXianchangRid> getIds(Integer page, Integer limit) {
        Example example =new Example(ImsMeepoXianchangRid.class);
        example.orderBy("id").desc();
        PageHelper.startPage(page,limit);
        List<ImsMeepoXianchangRid> rids = mapper.selectByExample(example);
        return new PageInfo<ImsMeepoXianchangRid>(rids).getList();
    }
}
